from settable09 import Settable
from switchable09 import Switchable


class Heating(Settable, Switchable):
    def __init__(self):
        self.on = False
        self.name = "heating"
        self.type = "temperature"  # degrees C
        self.setting = 18
        self.maximum = 30
        self.increment = 1
        self.radio_button = None
        self.slider = None
        print(f"{self.name} has been initialised")
