from settable09 import Settable
from switchable09 import Switchable


class Light(Switchable):
    def __init__(self, name):
        self.on = False
        self.name = name
        self.radio_button = None
        print(f"{self.name} has been initialised")


class DimmableLight(Settable, Light):
    def __init__(self, name, brightness):
        self.on = False
        self.name = name
        self.type = "brightness"  # lumens
        self.setting = brightness
        self.maximum = 500
        self.increment = 10
        self.radio_button = None
        self.slider = None
        print(f"{self.name} has been initialised")
